Package ghidra.framework

# Class ApplicationIdentifier

java.lang.Object
ghidra.framework.ApplicationIdentifier

public class ApplicationIdentifier extends Object
Class to represent an application's unique identifier. An application identifier is made up of an application name, an application version, and an application release name.

     The identifier format is (\.+) - \d\.\d(\.\d)?(\-.+)? _ (\.+)
                              name         version        release name

Application names will be converted to all lowercase and application release names will be converted to all uppercase. Both will have spaces removed from their names.

Examples:

- ghidra-7.4_DEV

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationIdentifier(ApplicationProperties applicationProperties)`
  Creates a new `ApplicationIdentifier` object from an `ApplicationProperties`.
  `ApplicationIdentifier(String identifier)`
  Creates a new `ApplicationIdentifier` object from the given string.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getApplicationName()`
  Gets the application name.
  `String`
  `getApplicationReleaseName()`
  Gets the application release name.
  `ApplicationVersion`
  `getApplicationVersion()`
  Gets the `application version`.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationIdentifier

    public ApplicationIdentifier(ApplicationProperties applicationProperties) throws IllegalArgumentException
    Creates a new `ApplicationIdentifier` object from an `ApplicationProperties`.
    Parameters:
      `applicationProperties` - An `ApplicationProperties`.
    Throws:
      `IllegalArgumentException` - if required elements from the `ApplicationProperties` were missing or otherwise failed to parse. The exception's message has more detailed information about why it failed.

  - ### ApplicationIdentifier

    public ApplicationIdentifier(String identifier) throws IllegalArgumentException
    Creates a new `ApplicationIdentifier` object from the given string.
    Parameters:
      `identifier` - An identifier string.
    Throws:
      `IllegalArgumentException` - if the identifier string failed to parse. The exception's message has more detailed information about why it failed.

- ## Method Details

  - ### getApplicationName

    public String getApplicationName()
    Gets the application name.
    Returns:
      The application name.

  - ### getApplicationVersion

    public ApplicationVersion getApplicationVersion()
    Gets the `application version`.
    Returns:
      The `application version`.

  - ### getApplicationReleaseName

    public String getApplicationReleaseName()
    Gets the application release name.
    Returns:
      The application release name.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`